
from breezy import ui
import gi
gi.require_version("Gtk", "3.0")
from gi.repository import Gtk

class GtkUI (ui.UIFactory):
  def __init__(self):
    super (GtkUI, self).__init__()
  
  def __enter__ (self):
    Gtk.init ()
    return self
  
  def confirm_action (self, prompt, confirmation_id, prompt_kwargs):
    dialog = Gtk.MessageDialog (
      flags=0,
      message_type=Gtk.MessageType.INFO,
      buttons=Gtk.Buttons.YES_NO,
      text = 'Breezy',
    )
    dialog.format_secondary_text (prompt)
    response = dialog.run ()
    dialog.destroy ()
    if (response == Gtk.ResponseType.YES):
      return True
    else:
      return False
